PERTALIFE - Bug #3949

Issue RemainingQuota Tidak Berkurang Saat Ada Pengajuan Cuti
10/13/2025 11:35 AM - Mr Ikmal

Status: Closed Start date: 10/13/2025
Priority: Urgent Due date: 10/14/2025
Assignee: Mr [kmal % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 3.00 hours
Description

Dear team Developer,
Mohon bantuannya untuk dicek terkait case RemainingQuota (PHRPA0017) yang tidak terpotong saat ada pengajuan cuti.

Sebagai contoh, saya melakukan penambahan data cuti pada tanggal 13-10-2025 selama 1 hari, dengan RemainingQuota awal 4.
Namun setelah itu, RemainingQuota tidak berkurang menjadi 3 (tetap di angka 4).

Nah tapi ketika data cuti tersebut saya hapus, RemainingQuota bertambah menjadi 5 (kalau ini harusnya benar ya) yg jadi problem
adalah Ketika data cuti bertambah tapi RemainingQuota tidak berkurang.

Contoh employeelD: 10821222

Port: http://remote.minovais.com:61115/
Server: remote.minovais.com,1452

DB: MinovaES_Pertalife_Prod
ACTIVATIONCODE: PLI61115

History

#1 - 10/13/2025 04:18 PM - Kezia Pawitra Yulianti

- Due date set to 10/14/2025

- Status changed from New to Assigned

- Assignee changed from Kezia Pawitra Yulianti to M Azid Wahyudi

- Priority changed from Normal to Urgent

#2 - 10/14/2025 11:26 AM - Mr lkmal

di ESS web sama mas gw ngajuin Regld 224791 terus RemainingQuota nya tetep 5 mas, ga berkurang 4, nanti tolong di cek ya, test nya pakai port
62225 aja mas karena itu yg terakhir dibawa dari prod

#3 - 10/14/2025 03:16 PM - M Azid Wahyudi
- Status changed from Assigned to QA Test
- Assignee changed from M Azid Wahyudi to Mr Ikmal

dear ikmal , udah bisa di test ya

package :
custparam (SETPHRPAQ017)

note : rapihkan data PHRTMABSTYP seperti yang kita diskusikan dan di terapkan di sini dan juga rapihkan data di phrpa0017nya
makasih

#4 - 10/14/2025 04:42 PM - Mr lkmal

- File Backup Pertalife Prod 14 Okt.xIsx added

- Status changed from QA Test to Deploy

Oke mas sudah di deploy ya, dan udah di rapihin juga data nya

terima kasih.
http://remote.minovais.com:61115/

#5 - 10/15/2025 05:42 PM - Mr Ikmal
- Status changed from Deploy to Closed

Files

Backup Pertalife Prod 14 Okt.xIsx 283 KB 10/14/2025 Mr [kmal
